/** 
 * ODONTOGRAM 
 * By H'Soberon
 * @Glorfindel 2019
 */


#odontogram {
	text-align: center;
	position: relative;
}


/* Place the cross on the center of the odontogram to define QUADRANTS */
#odontogram::before{
	content: '';
	left: 0px;
	top: 0px;
	width: 50%;
	height: 50%;
	position: absolute;
	border-right: 1px solid #ccc;
	border-bottom: 1px solid #ccc;
}
#odontogram::after{
	content: '';
	right: 1px;
	bottom: 1px;
	width: 50%;
	height: 50%;
	position: absolute;
	border-top: 1px solid #ccc;
	border-left: 1px solid #ccc;
}


#odontogram h5 {margin: 10px;}

.label {
	margin: 20px auto;
	color: #CCC;
	opacity: 0; /* Hide Labeles */
}

.label .right-label {margin-right: 150px;}
.label .left-label {margin-left: 150px;}

.cuadrant {
	position: relative;
	z-index: 1;
	display: inline-block;
	margin: 2px 10px;
}

.primary {
	display: none;
}

.tooth { 
	position: relative;
	display: inline-block;
	background-color: white;
	text-align: center;
	width: 52px;
	padding: 5px 1px;
	cursor: pointer;
	border-radius: 5px;
	-webkit-transition: box-shadow 0.5s;
	-o-transition: box-shadow 0.5s;
	transition: box-shadow 0.5s;
}

.tooth.active {
	z-index: 200;
	-webkit-box-shadow: 0px 0px 20px white;
		    box-shadow: 0px 0px 20px white;
}

.tooth * {cursor: pointer;}

.tooth label {}

.tooth:hover label, .tooth.active label {
	color: skyblue;
	font-weight: bold;
}


/* Example procedure on the procedures table */
.tooth.demo-tooth {
	display: inline-table;
	width: 35px;
	padding: 0;
}
.tooth.demo-tooth .side {
	position: initial;
	width: 12px;
	height: 12px;
	display: inline-block;
	margin-left: 18px;
	border-radius: 5px;
}



.tooth-group {
	position: relative;
	display: block;
	background-color: #000;
	width: 50px;
	height: 50px;
	border:1px solid #333;
	border-radius: 50px;
	margin:auto;
}

.tooth:hover .tooth-group {
	z-index: 100;
}

.tooth-group .side {
	position: absolute;
	background-color: white !important;
	width: 100%;
	height: 100%;
	-moz-border-radius: 50%;
	-webkit-border-radius: 50%;
	-o-border-radius: 50%;
	border-radius: 50%;
	clip: rect(0, 24px, 24px, 0px);
	z-index: 1;
}

.tooth .side_top {
	transform: rotate(45deg);
	/*background-color: blue;*/
}
.tooth .side_left {
 	transform: rotate(-45deg);
	/*background-color: yellow;*/
}

.tooth .side_right {
 	transform: rotate(135deg);
	/*background-color: red;*/
}
.tooth .side_bottom {
 	transform: rotate(225deg);
	/*background-color: green;*/
}

.tooth-group .side_center {
	position: absolute;
 	background-color: white;
 	border: 1px solid #666;
 	top: 12px;
 	left: 12px;
 	width: 25px;
 	height: 25px;
 	z-index: 10;
 	clip: auto;
}


@media (hover: hover) {
	.tooth .side:hover {
		background: rgba(230, 232, 230, 0.8) !important; 
	}

	.tooth .pro_caries.side:hover {
		background: #c9667a !important;
	} 


	.tooth .side.active {
		background: rgb(197, 223, 246) !important; 
	}
}







/**  ***** PROCEDURES  ***** */


/* Movility */
.tooth.pro_mobility_i:after {
	content: 'I';
	font-family: "Times new roman";
	display: block;
	position: absolute;
	top: 18px;
	left: 5px;
	z-index: 25;
	color: #fe7c96;
}
.tooth.pro_mobility_ii:after {
	content: 'II';
	font-family: "Times new roman";
	display: block;
	position: absolute;
	top: 18px;
	left: 0px;
	z-index: 25;
	color: #fe7c96;
}
.tooth.pro_mobility_iii:after {
	content: 'III';
	font-family: "Times new roman";
	display: block;
	position: absolute;
	top: 18px;
	left: -5px;
	z-index: 25;
	color: #fe7c96;
}





/* Angle */
.tooth .pro_angle:after {
	content: "\F141";
	display: block;
	font: normal normal normal 24px / 1 "Material Design Icons";
	color: #fe7c96;
	z-index: 20;
	transform: rotate(230deg);
	margin: 0px 25px 0 0;
}

.tooth .pro_angle_done:after {
	content: "\F141";
	display: block;
	font: normal normal normal 24px / 1 "Material Design Icons";
	color: rgb(0,120,150);
	z-index: 20;
	transform: rotate(230deg);
	margin: 0px 25px 0 0;
}


/* Cavities */
.tooth .pro_caries {
	background-color: #fe7c96 !important;
}

.tooth .pro_caries_done {
	/*background-color: #1bcfb4 !important;*/
	background-color: rgb(65, 148, 218) !important;
}
.tooth .pro_caries_non_cav {
	background-color: #aaa !important;
}


.tooth.pro_crown .tooth-group:before {
	content: '';
	display: block;
	position: absolute;
	left: -4px;
	top: -4px;
	width: calc(100% + 8px);
	height: calc(100% + 8px);
	border: 2px solid #fe7c96;
	border-radius: 50%;
	z-index: 1;
} 

.tooth.pro_crown input {
	color: #fe7c96;
}

.tooth.pro_crown_done .tooth-group:before {
	content: '';
	display: block;
	position: absolute;
	left: -4px;
	top: -4px;
	width: calc(100% + 8px);
	height: calc(100% + 8px);
	border: 2px solid rgb(65, 148, 218);
	border-radius: 50%;
	z-index: 1;
} 

.tooth.pro_crown_done input {
	color: rgb(65, 148, 218);
}

.tooth.pro_missing:after {
	content: '';
	display: block;
	position: absolute;
	left: 0px;
	top: 40%;
	width: 100%;
	height: 50%;
	z-index: 20;
	background-image: linear-gradient(to top, rgba(0,255,200,0) 0%, rgba(0,255,200,0) calc(50% - 2px), rgba(0,0,200,1) 50%, rgba(0,255,200,0) calc(50% + 2px), rgba(0,255,200,0) 100%);
}


.tooth.pro_unbroken:after {
	content: '';
	display: block;
	position: absolute;
	left: 0px;
	top: 40%;
	width: 100%;
	height: 50%;
	z-index: 20;
	background-image: linear-gradient(to left, rgba(0,255,200,0) 0%, rgba(0,255,200,0) calc(50% - 2px), rgba(0,0,200,1) 50%, rgba(0,255,200,0) calc(50% + 2px), rgba(0,255,200,0) 100%);
}


.tooth.pro_endodontics:after {
	content: "\F05D";
	font: normal normal normal 24px/1 "Material Design Icons";
	position: absolute;
	left: -5px;
	top: 18px;
	color: #fe7c96;
	z-index: 25;
}

.tooth.pro_endodontics_done:after {
	content: "\F05D";
	font: normal normal normal 24px/1 "Material Design Icons";
	position: absolute;
	left: -5px;
	top: 18px;
	color: rgb(65, 148, 218);
	z-index: 25;
}

/*.tooth.pro_endodontics:after {
	content: '';
	display: block;
	position: absolute;
	left: 0px;
	top: 18%;
	width: 100%;
	height: 73%;
	z-index: 20;
	background-repeat: no-repeat;
	background-position: 8px 11px;
	background-size: 36px 105%;
	background-image: linear-gradient(to left, rgba(255, 255, 255, 0) calc(50% - 2px), rgba(254, 124, 150, 1) calc(50% - 1px), rgba(254, 124, 150, 1)  50%, rgba(254, 124, 150, 1) calc(50% + 1px), rgba(255, 255, 255, 0) calc(50% + 2px)), 
	linear-gradient(-34deg, rgba(255, 255, 255, 0) calc(86% - 2px), rgba(254, 124, 150, 1) calc(86% - 1px), rgba(254, 124, 150, 1) 86%, rgba(254, 124, 150, 1) calc(86% + 1px), rgba(255, 255, 255, 0) calc(86% + 2px)), 
	linear-gradient(34deg, rgba(255, 255, 255, 0) calc(86% - 2px), rgba(254, 124, 150, 1) calc(86% - 1px), rgba(254, 124, 150, 1) 86%, rgba(254, 124, 150, 1) calc(86% + 1px), rgba(255, 255, 255, 0) calc(86% + 2px));
}*/



/*.tooth.pro_endodontics_done:after {
	content: '';
	display: block;
	position: absolute;
	left: 0px;
	top: 18%;
	width: 100%;
	height: 73%;
	z-index: 20;
	background-repeat: no-repeat;
	background-position: 8px 11px;
	background-size: 36px 105%;
	background-image: linear-gradient(to left, rgba(0,255,200,0) 0%, rgba(0,255,200,0) calc(50% - 2px), rgba(0,0,200,1) 50%, rgba(0,255,200,0) calc(50% + 2px), rgba(0,255,200,0) 100%), 
	linear-gradient(-34deg, rgba(0,255,200,0) 0%, rgba(0,255,200,0) calc(86% - 2px), rgba(0,0,200,1) 86%, rgba(0,255,200,0) calc(86% + 2px), rgba(0,255,200,0) 100%), 
	linear-gradient(34deg, rgba(0,255,200,0) 0%, rgba(0,255,200,0) calc(86% - 2px), rgba(0,0,200,1) 86%, rgba(0,255,200,0) calc(86% + 2px), rgba(0,255,200,0) 100%);
	/*background-image: linear-gradient(to left, rgba(0,255,200,0) calc(50% - 2px), rgba(0,255,200,1) calc(50% - 1px), rgba(0,0,200,1)  50%, rgba(0,255,200,1) calc(50% + 1px), rgba(0,255,200,0) calc(50% + 2px)), 
	linear-gradient(-34deg, rgba(0,255,200,0) calc(86% - 2px), rgba(0,255,200,1) calc(86% - 1px), rgba(0,255,200,1) 86%, rgba(0,0,200,1) calc(86% + 1px), rgba(0,255,200,0) calc(86% + 2px)), 
	linear-gradient(34deg, rgba(0,255,200,0) calc(86% - 2px), rgba(0,255,200,1) calc(86% - 1px), rgba(0,255,200,1) 86%, rgba(0,0,200,0,1) calc(86% + 1px), rgba(0,255,200,0) calc(86% + 2px));
}
*/

.tooth.pro_exodontics:after {
	content: '';
	display: block;
	position: absolute;
	left: 9px;
	top: 39px;
	width: 34px;
	height: 34px;
	z-index: 20;
	background-image: linear-gradient(to top left, rgba(255, 255, 255, 0) calc(50% - 2px), rgba(254, 124, 150, 1) calc(50% - 1px), rgba(254, 124, 150, 1)  50%, rgba(254, 124, 150, 1) calc(50% + 1px), rgba(255, 255, 255, 0) calc(50% + 2px)),
	                  linear-gradient(to bottom left, rgba(255, 255, 255, 0) calc(50% - 2px), rgba(254, 124, 150, 1) calc(50% - 1px), rgba(254, 124, 150, 1)  50%, rgba(254, 124, 150, 1) calc(50% + 1px), rgba(255, 255, 255, 0) calc(50% + 2px));
	
}


.tooth.pro_exodontics_done:after {
	content: '';
	display: block;
	position: absolute;
	left: 9px;
	top: 40px;
	width: 34px;
	height: 33px;
	z-index: 20;
	background-image: 
	linear-gradient(to top left, rgba(0,255,200,0) 0%, rgba(0,255,200,0) calc(50% - 2px), rgba(0,0,200,1) 50%, rgba(0,255,200,0) calc(50% + 2px), rgba(0,255,200,0) 100%), 
	linear-gradient(to top right, rgba(0,255,200,0) 0%, rgba(0,255,200,0) calc(50% - 2px), rgba(0,0,200,1) 50%, rgba(0,255,200,0) calc(50% + 2px), rgba(0,255,200,0) 100%);
}

.tooth.pro_exodontics_surgical:after {
	content: '';
	display: block;
	position: absolute;
	left: 9px;
	top: 40px;
	width: 34px;
	height: 33px;
	z-index: 20;	
	background-image: linear-gradient(to top left, rgba(255, 255, 255, 0) calc(50% - 2px), rgba(254, 124, 150, 1) calc(50% - 1px), rgba(254, 124, 150, 1)  50%, rgba(254, 124, 150, 1) calc(50% + 1px), rgba(255, 255, 255, 0) calc(50% + 2px)),
	                  linear-gradient(to bottom left, rgba(255, 255, 255, 0) calc(50% - 2px), rgba(254, 124, 150, 1) calc(50% - 1px), rgba(254, 124, 150, 1)  50%, rgba(254, 124, 150, 1) calc(50% + 1px), rgba(255, 255, 255, 0) calc(50% + 2px));
}
.tooth.pro_exodontics_surgical:before {
	content: 'Qx';
	display: block;
	position: absolute;
	top: 18px;
	left: -5px;
	z-index: 25;
	color: #fe7c96;
}

.tooth.pro_filling:before {
	content: 'S';
	display: block;
	position: absolute;
	top: calc(60% - 8px);
	left: calc(50% - 4px);
	z-index: 25;
	color: #fe7c96;
	font-size: 20px;
	background-color: rgba(255,255,255,0.6);
}

.tooth.pro_filling_done:before {
	content: 'S';
	display: block;
	position: absolute;
	top: calc(60% - 8px);
	left: calc(50% - 4px);
	z-index: 25;
	color: rgb(65, 148, 218);
	font-size: 20px;
	background-color: rgba(255,255,255,0.6);
}


.tooth .pro_fracture {
	background: 
  linear-gradient(135deg, #fe7c96 25%, transparent 25%) -50px 0,
  linear-gradient(225deg, #fe7c96 25%, transparent 25%) -50px 0,
  linear-gradient(315deg, #fe7c96 25%, transparent 25%),
  linear-gradient(45deg, #fe7c96 25%, transparent 25%);	
  background-size: 0.5em 0.5em;
  background-color: #FFFFFF;
}

.tooth .pro_fracture_done {
	background: 
  linear-gradient(135deg, rgb(65, 148, 218) 25%, transparent 25%) -50px 0,
  linear-gradient(225deg, rgb(65, 148, 218) 25%, transparent 25%) -50px 0,
  linear-gradient(315deg, rgb(65, 148, 218) 25%, transparent 25%),
  linear-gradient(45deg, rgb(65, 148, 218) 25%, transparent 25%);	
  background-size: 0.5em 0.5em;
  background-color: #FFFFFF;
}

.tooth.pro_polish:after {
	content: 'P';
	display: block;
	position: absolute;
	top: 20px;
	left: 2px;
	z-index: 25;
	color: #fe7c96;
}

.tooth.pro_polish_done:after {
	content: 'P';
	display: block;
	position: absolute;
	top: 20px;
	left: 2px;
	z-index: 25;
	color: rgb(65, 148, 218);
}

.tooth.pro_resin:before {
	content: 'RPR';
	display: block;
	position: absolute;
	top: calc(60% - 8px);
	left: calc(50% - 17px);
	z-index: 25;
	color: #fe7c96;
	font-size: 20px;
	background-color: rgba(255,255,255,0.6);
}

.tooth.pro_resin_done:before {
	content: 'RPR';
	display: block;
	position: absolute;
	top: calc(60% - 8px);
	left: calc(50% - 17px);
	z-index: 25;
	color: rgb(65, 148, 218);
	font-size: 20px;
	background-color: rgba(255,255,255,0.6);
}


.tooth.pro_rx:before {
	content: 'Rx';
	display: block;
	position: absolute;
	top: 18px;
	left: -5px;
	z-index: 25;
	color: #fe7c96;
}

.tooth.pro_rx_done:before {
	content: 'Rx';
	display: block;
	position: absolute;
	top: 18px;
	left: -5px;
	z-index: 25;
	color: rgb(65, 148, 218);
}

.tooth.pro_tooth_good:before  {
	content: "\F12C";
	display: block;
	position: absolute;
	top: calc(60% - 8px);
	left: calc(50% - 11px);
	z-index: 25;
	color: rgb(65, 148, 218);
	font: normal normal normal 24px/1 "Material Design Icons";
	font-size: 22px;
	text-rendering: auto;
	line-height: inherit;
	-webkit-font-smoothing: antialiased;
	-moz-osx-font-smoothing: grayscale;

}


.tooth .pro_restoration {
	border: 3px solid  #fe7c96;
}

.tooth .pro_restoration_done {
	border: 3px solid rgb(65, 148, 218);
}


.tooth .pro_sealing {
	background: 
  repeating-linear-gradient(to top, #fff, #fff, #fe7c96, #fe7c96);	
  background-size: 0.3em 0.3em;
  background-color: #FFFFFF;
}

.tooth .pro_sealing_done {
	background: 
  repeating-linear-gradient(to top, #fff, #fff, rgb(65, 148, 218), rgb(65, 148, 218));	
  background-size: 0.3em 0.3em;
  background-color: #FFFFFF;
}
